Index: test/test_load.py
===================================================================
RCS file: /thubanrepository/thuban/test/test_load.py,v
retrieving revision 1.43
diff -u -r1.43 test_load.py
--- test/test_load.py	15 Dec 2004 09:58:30 -0000	1.43
+++ test/test_load.py	24 Jan 2005 22:56:09 -0000
@@ -53,6 +53,8 @@
 from Thuban.Model.label import ALIGN_CENTER, ALIGN_TOP, ALIGN_BOTTOM, \
      ALIGN_LEFT, ALIGN_RIGHT, ALIGN_BASELINE
 
+from Thuban.Model.color import Color
+
 
 def filenames_equal(name1, name2):
     """Return true if the filenames name1 and name2 are equal.
@@ -124,6 +126,7 @@
                 print a != b and "***************" or ""
                 print a
                 print b
+
         self.assertEquals(el1, el2,
                           "loaded file not equivalent to the saved file")
 
@@ -663,7 +666,7 @@
 <session xmlns="http://thuban.intevation.org/dtds/thuban-1.1-dev.dtd"
         title="single map&amp;layer">
     <map title="Test Map">
-        <rasterlayer visible="false" filename="../../Data/iceland/island.tif"
+        <rasterlayer visible="false" mask_color="#ff00ff" use_mask_color="true" filename="../../Data/iceland/island.tif"
                 title="My RasterLayer"/>
     </map>
 </session>
@@ -673,12 +676,15 @@
         eq = self.assertEquals
         neq = self.assertNotEqual
 
+        print self.filename()
         session = load_session(self.filename())
         self.session = session
 
         map = self.session.Maps()[0] # only one map in the sample
 
         layer = map.Layers()[0] # one layer in the sample
+
+        layer.SetMaskColor(Color(1,0,1), True)
 
         eq(layer.Title(), "My RasterLayer")
         self.failIf(layer.Visible())
